## org.codehaus.groovy.grails.webflow.execution
Class GrailsFlowExecutorImpl

    java.lang.Object
      org.springframework.webflow.executor.FlowExecutorImpl
          org.codehaus.groovy.grails.webflow.execution.GrailsFlowExecutorImpl

All Implemented Interfaces:
  org.springframework.webflow.executor.FlowExecutor

    public class GrailsFlowExecutorImpl

extends org.springframework.webflow.executor.FlowExecutorImpl

Since:
  1.1

  Created: Nov 18, 2008
Author:
  Graeme Rocher

Field Summary
`(package private) org.springframework.webflow.execution.repository.FlowExecutionRepository` `executionRepository`

Constructor Summary
`GrailsFlowExecutorImpl(org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator, org.springframework.webflow.execution.FlowExecutionFactory executionFactory, org.springframework.webflow.execution.repository.FlowExecutionRepository executionRepository)` Create a new flow executor.

Method Summary
`org.springframework.webflow.executor.FlowExecutionResult` `resumeExecution(String flowExecutionKey, org.springframework.webflow.context.ExternalContext context)`

Methods inherited from class org.springframework.webflow.executor.FlowExecutorImpl
`getDefinitionLocator, getExecutionFactory, getExecutionRepository, launchExecution`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### executionRepository

    org.springframework.webflow.execution.repository.FlowExecutionRepository executionRepository

Constructor Detail

### GrailsFlowExecutorImpl

    public GrailsFlowExecutorImpl(org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator,
                                  org.springframework.webflow.execution.FlowExecutionFactory executionFactory,
                                  org.springframework.webflow.execution.repository.FlowExecutionRepository executionRepository)

  Create a new flow executor.

  Parameters:
    `definitionLocator` - the locator for accessing flow definitions to execute
    `executionFactory` - the factory for creating executions of flow definitions
    `executionRepository` - the repository for persisting paused flow executions

Method Detail

### resumeExecution

    public org.springframework.webflow.executor.FlowExecutionResult resumeExecution(String flowExecutionKey,
                                                                                    org.springframework.webflow.context.ExternalContext context)
                                                                             throws org.springframework.webflow.core.FlowException

  Specified by:
    `resumeExecution` in interface `org.springframework.webflow.executor.FlowExecutor`
  Overrides:
    `resumeExecution` in class `org.springframework.webflow.executor.FlowExecutorImpl`
  Throws:
    `org.springframework.webflow.core.FlowException`

Copyright (c) 2005-2009 The Grails project